Plank.DockTheme – plank Reference Manual

# DockTheme

## Object Hierarchy:

## Description:

public class DockTheme : Theme

A themed renderer for dock windows.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public double HorizPadding { set; get; }
- public double TopPadding { set; get; }
- public double BottomPadding { set; get; }
- public double ItemPadding { set; get; }
- public double IndicatorSize { set; get; }
- public double IconShadowSize { set; get; }
- public double UrgentBounceHeight { set; get; }
- public double LaunchBounceHeight { set; get; }
- public double FadeOpacity { set; get; }
- public int ClickTime { set; get; }
- public int UrgentBounceTime { set; get; }
- public int LaunchBounceTime { set; get; }
- public int ActiveTime { set; get; }
- public int SlideTime { set; get; }
- public int FadeTime { set; get; }
- public int HideTime { set; get; }
- public int GlowSize { set; get; }
- public int GlowTime { set; get; }
- public int GlowPulseTime { set; get; }
- public int UrgentHueShift { set; get; }
- public int ItemMoveTime { set; get; }
- public bool CascadeHide { set; get; }

### Creation methods:

- public DockTheme (string name)

### Methods:

- protected override void reset_properties ()
  Resets all properties to their default values. Called from construct and before loading from the backing file.
- public Surface create_background (int width, int height, PositionType position, Surface model)
  Creates a surface for the dock background.
- public Surface create_indicator (int size, Color color, Surface model)
  Creates a surface for an indicator.
- public Surface create_urgent_glow (int size, Color color, Surface model)
  Creates a surface for an urgent glow.
- public void draw_active_glow (Surface surface, Rectangle clip_rect, Rectangle rect, Color color, double opacity, PositionType pos)
  Draws an active glow for an item.
- public void draw_item_count (Surface surface, int icon_size, Color color, int64 count)
  Draws a badge for an item.
- public void draw_item_progress (Surface surface, int icon_size, Color color, double progress)
  Draws a progress bar for an item.
- protected override void verify (string prop)
  This method will verify the value of a property. If the value is wrong, this method should replace it with a sanitized value.

### Inherited Members:

All known members inherited from class Plank.Theme

- DEFAULT_NAME
- GTK_THEME_NAME
- TopRoundness
- BottomRoundness
- LineWidth
- OuterStrokeColor
- FillStartColor
- FillEndColor

- InnerStrokeColor
- create_style_context
- draw_rounded_rect
- draw_rounded_line
- get_theme_list
- get_theme_folder
- get_style_context

- reset_properties
- load
- get_top_offset
- get_bottom_offset
- draw_background
- draw_inner_rect
- verify

All known members inherited from class Plank.Preferences

- verify
- reset_properties
- init_from_file
- init_from_filename

- delay
- apply
- get_filename

- get_backing_file
- @delete
- deleted

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- weak_ref
- weak_unref
- notify
- ref_count